JOURNAL_WIPE(9)

NAME
journal_wipe - Wipe journal contents

SYNOPSIS

int journal_wipe (journal_t * journal, int write);

ARGUMENTS

journal
    Journal to act on.

write
    flag (see below)

DESCRIPTION

Wipe out all of the contents of a journal, safely. This will produce a warning if the journal contains any valid recovery information. Must be called between journal_init_*() and journal_load.

If 'write' is non-zero, then we wipe out the journal on disk; otherwise we merely suppress recovery.

AUTHORS
Roger Gammans <rgammans@computer-surgery.co.uk>, Stephen Tweedie <sct@redhat.com>.